---
sidebar_label: Viewport.deviceScaleFactor
---

# Viewport.deviceScaleFactor property

Specify device scale factor. See [devicePixelRatio](https://developer.mozilla.org/en-US/docs/Web/API/Window/devicePixelRatio) for more info.

**Signature:**

```typescript
interface Viewport {
  deviceScaleFactor?: number;
}
```
